
body{
    background: linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.8));
    height: 100vh;

}

.fullclock{
    height: 150px;
    width: 250px;
    background-color: rgba(0, 0, 0, 0.58);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 25px;
    border-radius: 10px;
    box-shadow: 0px 0px 90px 20px rgba(226, 39, 255, 0.909);
    overflow: hidden;
    

}

.fullclock::before{
    content: "";
    position: absolute;
    height: 100px;
    width: 900px;
    top: 50%;
    left: 20%;
    transform: translate(-50%, -50%);
    background: linear-gradient(transparent, rgb(5, 243, 25),rgb(10, 166, 23),rgb(28, 245, 46),transparent);
    animation: animate 3s linear infinite;

}
@keyframes animate {
    0%{
        transform: translate(-50%, -50%) rotate(0deg);

    }
    100%{
        transform: translate(-50%, -50%) rotate(360deg);

    }
}

.fullclock::after{
    content: "";
    position: absolute;
    inset: 3px;
    background-color: black;
    border-radius: 10px;

}


.clock{
    position: absolute;
    text-align: center;
    z-index: 1;
    left: 75px;
}

h1, h3, h4{
    display: inline-block;
    line-height: 3px;
}
h4{
    position: relative;
    top: -5px;
    margin: 3px;
}

#hour{
    font-size: 60px;
    color: rgba(172, 255, 39, 0.984);
}

#dot{
    font-size: 50px;
    color: rgba(244, 253, 3, 0.984);
    font-weight: bold;
}
#minute{
    font-size: 40px;
    color: rgba(133, 237, 6, 0.984);
}

#ampm{
    font-size: 20px;
    color: rgba(237, 198, 6, 0.984);
    
}

#second{
    font-size: 25px;
    color: rgba(226, 39, 255, 0.909);
}